
QGIS Application - Bug report #11685

QGIS 2.6 x86 and x64 crashes on open QGIS 2.2 or 2.4 project

2014-11-19 12:44 AM - Michal -

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.6.0 Regression?: No

Operating System: Windows x64 and x86 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 19929

Description

Hello,

On open this project QGIS (x82 and x64) crashes. I tested it on Windows 7 prof x64 and Windows XP Porf x86.

On both systems conversion to QGIS 2.6 hangs system due to the memory leaks into pagefile.sys.

On QGIS x86 I was able to save the converted project but the file is corrupted.

I send zip file with the project. 

On QGIS 2.4 the conversion works fine.

Regards

Michal

History

#1 - 2014-11-19 12:52 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Project Loading/Saving

the bug should have been already fixed in qgis master, please give it a try and report back, thanks.

#2 - 2014-11-19 01:37 AM - Michal -

Hello

What is the QGIS master?

Is it QGIS 2.7 weekly build ?

Regards

Michal

#3 - 2014-11-19 02:11 AM - Michal -

Hello,

Clean installation of QGIS 2.7.0-46 doesn't solve this problem.
QGIS hangs after/on conversion last layer.

Regards

Michal

#4 - 2014-11-19 05:53 AM - Giovanni Manghi

Michal - wrote:

Hello,

Clean installation of QGIS 2.7.0-46 doesn't solve this problem.

it still crashes? or it just hangs? it can hang for other reasons... all the layers in the project are postgis and there is no access to them, so qgis tries, tries,

tries... but in my case no crash.

#5 - 2014-11-19 09:30 AM - Michal -

Hello,

It is not problem with the access to PostgreSQL and PostGis. 

On WinXP I get the "bad allocation" error. Layers look like translated into new version but when I save it the file is corrupted and I can't close QGIS. I have

to run taskmgr and kill QGIS process.

On Win7x64 QGIS 2.7 hangs and hangs system too. The pagefile.sys grows to 24GB and more. I have to shut down the computer using power button.

When I create new project it opens fine.

The problem is on conversion into new format.

Regards

Michal

#6 - 2014-11-19 12:53 PM - Jürgen Fischer

Michal - wrote:

Hello,

It is not problem with the access to PostgreSQL and PostGis.

Well, it is for anyone else trying to reproduce the problem.  The project cannot be loaded cleanly without access to the database as QGIS will first try to

connect to the server and in turn QGIS will run into dozens of timeouts first and take ages to figure out that no layer is available and finally ditch all of them.

Does your database actually have a column 

osr_rej_osr_rej_zakr_wyb_osr_rej_osr_rej_zakr_wyb_osr_rej_osr_rej_zakr_wyb_osr_rej_osr_rej_zakr_wyb_osr_rej_zglaszajacy_id in the table 

osr_rej_zakr_ewd?

Looks a bit strange.   Could you please dump the database (even without content that should make the problem much easier to reproduce - pg_dump -Fc

-s ...)?
#7 - 2014-11-20 01:09 AM - Michal -

- File Schowek01.jpg added

- File qGis_test_3_27.qgs added

- File qGis_test_3.qgs added

- File qGis.qgs added

- File Schowek02.jpg added

Hello,

No, I have not this field in the database. This field was created during the conversion into QGIS 2.7.

After a lot of test I found the place in the project which didn't converted properly. The conversion breaks on joins between tables. In my case there were two

joins on table osr_rej (I send screen shots). When I deleted those joins, the conversion didn't crash QGIS.

It looks like a bug.

I'm sending the base QGIS 2.2 project (QGIS), project without joins (QGIS_Test_3) and project after conversion to QGIS 2.7.

As I described in my first post the  conversion 2.2 to 2.4 works fine.

Regards

Michal

#8 - 2014-11-30 02:08 PM - Donald MacFarlan

I had the same minidump crash with QGIS 2.6 64 bit installed on Windows 7 Home Premium (which is kept updated).

QGIS downloaded and installed on 28/11/2014.  Projects opened from 2.4 64 bit opened, could be worked on but caused a minidump crash on saving.

Removing Metasearch Catalogue Client plugin (as suggested on Stackexchange) has so far solved the problem

Donald

#9 - 2015-01-10 01:16 PM - Jürgen Fischer

Michal - wrote:

I'm sending the base QGIS 2.2 project (QGIS), project without joins (QGIS_Test_3) and project after conversion to QGIS 2.7.

What about the dump?

#10 - 2015-02-15 05:33 AM - Jürgen Fischer

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for the lack of feedback.
Files

__Error_QGIS_26.zip 473 KB 2014-11-18 Michal -

Schowek01.jpg 85 KB 2014-11-20 Michal -

Schowek02.jpg 26.7 KB 2014-11-20 Michal -

qGis.qgs 637 KB 2014-11-20 Michal -

qGis_test_3.qgs 639 KB 2014-11-20 Michal -

qGis_test_3_27.qgs 918 KB 2014-11-20 Michal -
